package com.op.mes.domain.dto;

import com.op.mes.domain.Batch;
import com.op.mes.domain.ProOrder;

import java.util.Date;
import java.util.List;

// 接收前端拆分模型
public class SplitOrderDTO {
    // 批次号与批次数量
    private List<Batch> formFields;
    // 产线
    private String prodLineCode;
    // 日期
    private Date productDate;
    // 班次
    private String shiftId;
    // 拆分数量
    private Long splitNum;
    // 所有改变的订单列表
    private ProOrderDTO product;
    // 工艺编码
    private String routeCode;

    @Override
    public String toString() {
        return "SplitOrderDTO{" +
                "formFields=" + formFields +
                ", prodLineCode='" + prodLineCode + '\'' +
                ", productDate=" + productDate +
                ", shiftId='" + shiftId + '\'' +
                ", splitNum=" + splitNum +
                ", product=" + product +
                ", routeCode='" + routeCode + '\'' +
                '}';
    }

    public String getRouteCode() {
        return routeCode;
    }

    public void setRouteCode(String routeCode) {
        this.routeCode = routeCode;
    }

    public List<Batch> getFormFields() {
        return formFields;
    }

    public void setFormFields(List<Batch> formFields) {
        this.formFields = formFields;
    }

    public String getProdLineCode() {
        return prodLineCode;
    }

    public void setProdLineCode(String prodLineCode) {
        this.prodLineCode = prodLineCode;
    }

    public Date getProductDate() {
        return productDate;
    }

    public void setProductDate(Date productDate) {
        this.productDate = productDate;
    }

    public String getShiftId() {
        return shiftId;
    }

    public void setShiftId(String shiftId) {
        this.shiftId = shiftId;
    }

    public Long getSplitNum() {
        return splitNum;
    }

    public void setSplitNum(Long splitNum) {
        this.splitNum = splitNum;
    }

    public ProOrderDTO getProduct() {
        return product;
    }

    public void setProduct(ProOrderDTO product) {
        this.product = product;
    }


    public SplitOrderDTO() {
    }
}
